package org.gba.pp;

import java.lang.reflect.Field;

import com.badlogic.gdx.Application.ApplicationType;
import com.badlogic.gdx.Gdx;

/*
	STRINGS!
	Android simplifies localisation by providing XML files in which you can put Strings, then refer to them through
	an autogenerated class file. Android can them swap different XML files in for different locales, and regenerate
	the class file, leaving your code untouched.
	
	Genius! Except because GDX has a Desktop version also, I wanted to offer translations for that too. I insituted this
	class because I was originally planning to put Strings into here at launch, and then refer to this instead. However,
	this didn't work for various reasons. I may still implement this in the future.
	
	(If you're interested as to why: I was trying to use Java reflection to autofill the fields. Unfortunately, 
	the way that Android autogenerates the R.java file means that you can't get field data out using reflection, as far
	as I can tell. I'm hoping to fix this in the future, but...)
*/

public class StringBank {

	//TitleState
	//Puzzling is used in the context of being intriguing as well as confusing. 
	public static String ts_title_line1 = "A Puzzling";
	public static String ts_title_line2 = "Present";
	public static String ts_beginText = "Tap to begin!";
	public static String ts_beginTextDesktop = "Press space or click to begin!";
	
	//MenuState
	public static String ms_menuTitle = "Main Menu";
	//This means the set of levels isn't accessible yet.
	public static String ms_presentLockedString = "Present Locked!";
	//As in, '0/10 Completed'
	public static String ms_completeString = " Completed";
	public static String ms_aboutGameString = "About The Game";
	public static String ms_optionsString = "Options";
	public static String ms_howToPlay = "How to Play";
	
	//LevelSelectState
	public static String ls_worldtitle = "World ";
	public static String ls_levelSelect = "Select A Level";
	public static String ls_back = "Back";
	//This probably doesn't need translating, but it might in some languages/regions
	public static String ls_howToPlay = "Help";
	
	//WorldState
	public static String ws_tutorial1 = "Press the left and right buttons to move Santa";
	public static String ws_tutorial1_desktop = "Press the arrow keys to move left and right";
	public static String ws_tutorial2 = "Press the A button to jump!";
	public static String ws_tutorial2_desktop = "Press the spacebar to jump!";
	public static String ws_tutorial3 = "Santa has a new special power in each world!\nPress the B button to activate it.";
	public static String ws_tutorial3_2 = "Press the B button again to switch it back.\nExperiment to see what each power does!";
	public static String ws_tutorial3_desktop = "Santa has a new special power in each world!\nPress X to activate it.";
	public static String ws_tutorial3_2_desktop = "Press X again to switch it back.\nExperiment to see what each power does!";
	
	
	//SettingsState
	public static String ss_stateTitle = "Options";
	public static String ss_unlockDesc = "Unlock all the levels and worlds in the game!";
	public static String ss_unlockLabel_off = "Unlock Everything!";
	public static String ss_unlockLabel_on = "Everything unlocked!";
	public static String ss_surveyDesc = "Switch on to give feedback and help us improve our research!";
	public static String ss_surveyLabel_on = "Surveys: On";
	public static String ss_surveyLabel_off = "Surveys: Off";
	public static String ss_musicVolume = "Music Volume: ";
	
	//Loading
	public static String l_loading = "Loading";
	
	//Menu button state
	public static String mb_paused = "Paused";
	public static String mb_resume = "Resume Game";
	public static String mb_exit = "Exit to Menu";
	public static String mb_skip = "Skip Level";
	public static String mb_whyskip = "If you like, you can tell us why you're skipping";
	//Approximations will do here
	public static String mb_frustrated = "Frustrated";
	public static String mb_bored = "Bored";
	public static String mb_complete = "I've already\ncompleted it";
	public static String mb_other = "Other";
	
	//Unlock button
	public static String ub_unlocked = "Unlocked!";
	
	//End Level Button
	public static String eb_question1 = "How enjoyable was the level?";
	public static String eb_question2 = "How difficult was the level?";
	public static String eb_levelcomplete = "Level Complete!";
	public static String eb_backtext_desktop = "Click here, or press\n jump/X to return";
	public static String eb_backtext = "Tap here to return ";
	public static String eb_nexttext_desktop = "Click here, or press\n jump/X to continue";
	public static String eb_nexttext = "Tap here to continue";
	public static String eb_unlockWorld = "You unlocked a new world!";
	public static String eb_worldComplete = "World Complete!";
	
	public static String eb_q1response1 = "Not\nenjoyable";
	public static String eb_q1response2 = "A little\nenjoyable";
	public static String eb_q1response3 = "Quite\nenjoyable";
	public static String eb_q1response4 = "Very\nenjoyable";
	
	public static String eb_q2response1 = "Not\ndifficult";
	public static String eb_q2response2 = "A little\ndifficult";
	public static String eb_q2response3 = "Quite\ndifficult";
	public static String eb_q2response4 = "Very\ndifficult";
	
	//Spike Collision
	//Looking forward to translations of this one
	public static String sp_ouch = "Ouch!";
	public static String sp_restart_desktop = "That hurt! Press Jump, \nR or click to restart.";
	public static String sp_restart = "That hurt! Tap to restart.";
	
//	public static void main(String[] args) throws IllegalArgumentException, IllegalAccessException{
//		//REFLECTION HOOOOOOO
//		for(Field f : StringBank.class.getFields()){
//			System.out.println("<string name=\""+f.getName()+"\">"+((String)f.get(null))+"</string>");
//		}
//	}
}
